//+------------------------------------------------------------------+
//|                                               EmaLaguerreCci.mq4 |
//|                                                       Mepkypuu  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Mepkypuu "
#property link      ""
#include "include\udf.mqh"
int Ticket                   = 0;
extern int TakeProfit        = 10;
extern int StopLoss          = 60;
extern int Shift             = 3;
string Error                 = "";

int start()
  {
    if (Error == "")
    {
      if (OrdersTotal() == 0)
      {
        Comment ("   ..."); 
        Trade ();
      }
      else
      {
        Comment ("    TP  SL...");
      }  
    }
    else
    {
      Comment ("    ,  : ", Error);
      return(0);
    }
  }
  
  void Trade ()
  {
    double Laguerre          =  iCustom(Symbol(), NULL, "Laguerre",0.7,100000,0,0);
    double LaguerreShift     =  iCustom(Symbol(), NULL, "Laguerre",0.7,100000,0,Shift);
    double CCI               =  iCCI(Symbol(), NULL, 14, 0, 0);
    double MAWithShift       =  iMA(Symbol(), NULL, 120, 0, MODE_EMA, PRICE_MEDIAN, Shift);
    double MAWithoutShift    =  iMA(Symbol(), NULL, 120, 0, MODE_EMA, PRICE_MEDIAN, 0);
       
    if ((MAWithShift > MAWithoutShift) && (CCI > 5) && (Laguerre == 1) && (LaguerreShift == 1))
    {
      Sell (StopLoss, TakeProfit);
    }
    if ((MAWithShift < MAWithoutShift) && (CCI < 5) && (Laguerre == 0) && (LaguerreShift == 0))
    {
       Buy (StopLoss, TakeProfit);
    }  
  }
  

  

  
  